1. #1
    Sencha Premium Member
    Join Date
    Jul 2012
    Posts
    61
    Vote Rating
    1
    dgherrig is on a distinguished road

      0  

    Default Sencha Arch use extjs 4.2

    Sencha Arch use extjs 4.2


    How do I configure the architect to use a new version of extjs, for example 4.2

  2. #2
    Ext JS Premium Member tangix's Avatar
    Join Date
    Mar 2010
    Location
    Stockholm, Sweden
    Posts
    499
    Vote Rating
    46
    tangix has a spectacular aura about tangix has a spectacular aura about tangix has a spectacular aura about

      1  

    Default


    Using SA 2.2 b908 (at least, maybe the previous builds of 2.2 supports Ext JS 4.2.x). When you create a project, simply select Ext JS 4.2.x:
    ext4.2.png

    If you have an existing project made with previous version of Ext JS, scroll down the Project Inspector to the "Library" node and choose "Upgrade". Be sure to double-check the Library Base Path after the upgrade is completed. Friendly tip: Be sure to archive a copy of the project before upgrading the framework.

    /Mattias

  3. #3
    Sencha Premium Member
    Join Date
    Jul 2012
    Posts
    61
    Vote Rating
    1
    dgherrig is on a distinguished road

      0  

    Default


    I am currently running version 2.1.0 build:678, how do I upgrade to 2.2.x or latest version

  4. #4
    Ext JS Premium Member tangix's Avatar
    Join Date
    Mar 2010
    Location
    Stockholm, Sweden
    Posts
    499
    Vote Rating
    46
    tangix has a spectacular aura about tangix has a spectacular aura about tangix has a spectacular aura about

      0  

    Default


    If you have a non-expired license you should be able to download and activate version 2.2 of Secha Arctitect from the product download page http://www.sencha.com/products/architect/download/
    I am not sure if 2.1 and 2.2 are possible to run side-by-side, especially since 2.1 projects need to be converted to 2.2 format to work.

  5. #5
    Sencha User
    Join Date
    Mar 2010
    Posts
    7
    Vote Rating
    0
    nguyendk82 is on a distinguished road

      0  

    Default Upgrading SA 2.2 and Extjs 4.2 result of nothing to display

    Upgrading SA 2.2 and Extjs 4.2 result of nothing to display


    hi guys,

    I am trying to upgrade sencha architect 2.2 and Extjs 4.2. My old code doesn't work anymore as in nothing is rendering. Everything is loaded but nothing is rendering. I have tried to create new project with SA 2.2 and Extjs 4.2. it just works file. I don't know where to debug and find out what is going on. Could anyone spare sometime to give me some advise where i can start looking in to this problem

  6. #6
    Ext JS Premium Member tangix's Avatar
    Join Date
    Mar 2010
    Location
    Stockholm, Sweden
    Posts
    499
    Vote Rating
    46
    tangix has a spectacular aura about tangix has a spectacular aura about tangix has a spectacular aura about

      1  

    Default


    Quote Originally Posted by nguyendk82 View Post
    Could anyone spare sometime to give me some advise where i can start looking in to this problem
    Three starting points:
    You checked the Library Base Path after the project was upgraded?
    Does FireBug (or Chrome Developer Tools) give you any hint (Console or Net tabs) in the browser?
    Is the autoCreateViewport property OK?

    /Mattias

  7. #7
    Sencha User
    Join Date
    Mar 2010
    Posts
    7
    Vote Rating
    0
    nguyendk82 is on a distinguished road

      0  

    Default


    Quote Originally Posted by tangix View Post
    Three starting points:
    You checked the Library Base Path after the project was upgraded?
    Does FireBug (or Chrome Developer Tools) give you any hint (Console or Net tabs) in the browser?
    Is the autoCreateViewport property OK?

    /Mattias
    I am not sure what to check at library base path? the path is correct in the SA and also in the publish folder.
    firebug or chrome developer gave me nothing. the body is empty beside all the scripts has been loaded.
    I saw autoCreateViewport is true in the application object.

    Other than that, i am blind. do you have any hint ?

  8. #8
    Ext JS Premium Member tangix's Avatar
    Join Date
    Mar 2010
    Location
    Stockholm, Sweden
    Posts
    499
    Vote Rating
    46
    tangix has a spectacular aura about tangix has a spectacular aura about tangix has a spectacular aura about

      0  

    Default


    If you have checked the Net tab in Firebug and no errors there something must be wrong.
    I suggest adding alert() calls in the init and launch function of the App to see if you can find something.

Thread Participants: 2

film izle

hd film izle

film sitesi

takipci kazanma sitesi

takipci kazanma sitesi

güzel olan herşey

takipci alma sitesi

komik eğlenceli videolar